Bug 129489 - UI: AutoCorrect should be simplified and fixed
Summary: UI: AutoCorrect should be simplified and fixed
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2019-12-19 08:44 UTC by John
Modified: 2020-07-30 04:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
comparison table (odt) (21.36 KB, application/vnd.oasis.opendocument.text)
2019-12-19 08:46 UTC, John
Details
comparison table (png) (44.71 KB, image/png)
2019-12-19 08:46 UTC, John
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John 2019-12-19 08:44:51 UTC
Description:
AutoCorrect is very hard to use.

1. The word AutoCorrect is misleading in itself. There are two different things: AutoCorrect and AutoFormat. For some reason both of them are called AutoCorrect.

2. AutoCorrect have no sane logic within it. See the attached comparison table.

3. There is no way to disable all AutoCorrect options at once. The user is required to check/uncheck a lot of checkboxes across different UI sections and pray that he/she haven't overlooked or forgot some of them.

Yes, you can disable "While Typing" in Writer and you will be safe (more or less). But Calc doesn't have such option, and therefore you will be required check/uncheck manually as I told above.

Yes, office suite have some advanced features for power users, but it shouldn't srcew up the basic workflow.

4. I have not checked Calc a lot because I use it very rarely. It could be additional pitfalls with it.

Steps to Reproduce:
-

Actual Results:
-

Expected Results:
-


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 John 2019-12-19 08:46:07 UTC
Created attachment 156663 [details]
comparison table (odt)
Comment 2 John 2019-12-19 08:46:39 UTC
Created attachment 156664 [details]
comparison table (png)
Comment 3 Roman Kuznetsov 2019-12-28 14:23:34 UTC
please split your report to several
Comment 4 Timur 2019-12-28 21:06:42 UTC
Advice to split is not correct, until we understand what's suggested here.
Please first change component, is it Writer. And see bug 95908.
Comment 5 Dieter 2019-12-31 08:00:47 UTC
(In reply to Timur from comment #4)
> Please first change component, is it Writer. And see bug 95908.

As far as I understand, one request is about the option to disable Autocorrect in Calc (like in writer) => component is not writer
Comment 6 QA Administrators 2020-06-29 03:31:01 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-07-30 04:10:28 UTC
Dear John,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp